io.milvus.param.alias

## Class AlterAliasParam.Builder

- java.lang.Object
- - io.milvus.param.alias.AlterAliasParam.Builder

Enclosing class:
  AlterAliasParam

    public static final class AlterAliasParam.Builder
    extends java.lang.Object

Builder for `AlterAliasParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`AlterAliasParam` `build()` Verifies parameters and creates a new `AlterAliasParam` instance.
`AlterAliasParam.Builder` `withAlias(@NonNull java.lang.String alias)` Sets the collection alias.
`AlterAliasParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`AlterAliasParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the database name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCollectionName

    public AlterAliasParam.Builder withCollectionName(@NonNull
                                                      @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### withDatabaseName

    public AlterAliasParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withAlias

    public AlterAliasParam.Builder withAlias(@NonNull
                                             @NonNull java.lang.String alias)

Sets the collection alias. Collection alias cannot be empty or null.

Parameters:
  `alias` - alias of the collection
Returns:
  `Builder`

#### build

    public AlterAliasParam build()
                          throws ParamException

Verifies parameters and creates a new `AlterAliasParam` instance.

Returns:
  `AlterAliasParam`
Throws:
  `ParamException`